<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.waterMaking.mapper.UserZhswMapper">
    <insert id="insertData">
        insert into USER_ZHSW (日期时间, PAC使用量, PAM使用量, 次氯酸钠使用量, 总制水量)
        values (#{time}, #{pac}, #{pam}, #{cn}, #{qsl})
    </insert>

    <delete id="deleteData">
        delete
        from USER_ZHSW
        where 日期时间 = #{time}
    </delete>

    <update id="updateData">
        update USER_ZHSW
        set PAC使用量  = #{pac},
            PAM使用量  = #{pam},
            次氯酸钠使用量 = #{cn},
            总制水量    = #{qsl}
        where 日期时间 = #{time}
    </update>
</mapper>